## ode 0.9.dfsg

=== build/gnu/Makefile ===
# Makefile autogenerated by premake
# Don't edit this file! Instead edit `premake.lua` then rerun `make`
# Options:
#   CONFIG=[DebugDLL|ReleaseDLL|DebugLib|ReleaseLib]

ifndef CONFIG
  CONFIG=DebugDLL
endif

export CONFIG

.PHONY: all clean ode drawstuff demo_boxstack demo_buggy demo_chain1 demo_chain2 demo_collision demo_crash demo_feedback demo_friction demo_heightfield demo_hinge demo_I demo_joints demo_motor demo_ode demo_plane2d demo_slider demo_space demo_space_stress demo_step demo_basket demo_cyl demo_moving_trimesh demo_trimesh demo_cylvssphere tests

all: ode drawstuff demo_boxstack demo_buggy demo_chain1 demo_chain2 demo_collision demo_crash demo_feedback demo_friction demo_heightfield demo_hinge demo_I demo_joints demo_motor demo_ode demo_plane2d demo_slider demo_space demo_space_stress demo_step demo_basket demo_cyl demo_moving_trimesh demo_trimesh demo_cylvssphere tests

Makefile: ../premake.lua ../ode.lua ../drawstuff.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../demos.lua ../tests.lua
	@echo ==== Regenerating Makefiles ====
	@premake --file $^ --usetargetpath --with-demos --with-tests --clean --target gnu

ode:
	@echo ==== Building ode ====
	@$(MAKE) --no-print-directory -C . -f ode.make

drawstuff:
	@echo ==== Building drawstuff ====
	@$(MAKE) --no-print-directory -C . -f drawstuff.make

demo_boxstack: ode drawstuff
	@echo ==== Building demo_boxstack ====
	@$(MAKE) --no-print-directory -C . -f demo_boxstack.make

demo_buggy: ode drawstuff
	@echo ==== Building demo_buggy ====
	@$(MAKE) --no-print-directory -C . -f demo_buggy.make

demo_chain1: ode drawstuff
	@echo ==== Building demo_chain1 ====
	@$(MAKE) --no-print-directory -C . -f demo_chain1.make

demo_chain2: ode drawstuff
	@echo ==== Building demo_chain2 ====
	@$(MAKE) --no-print-directory -C . -f demo_chain2.make

demo_collision: ode drawstuff
	@echo ==== Building demo_collision ====
	@$(MAKE) --no-print-directory -C . -f demo_collision.make

demo_crash: ode drawstuff
	@echo ==== Building demo_crash ====
	@$(MAKE) --no-print-directory -C . -f demo_crash.make

demo_feedback: ode drawstuff
	@echo ==== Building demo_feedback ====
	@$(MAKE) --no-print-directory -C . -f demo_feedback.make

demo_friction: ode drawstuff
	@echo ==== Building demo_friction ====
	@$(MAKE) --no-print-directory -C . -f demo_friction.make

demo_heightfield: ode drawstuff
	@echo ==== Building demo_heightfield ====
	@$(MAKE) --no-print-directory -C . -f demo_heightfield.make

demo_hinge: ode drawstuff
	@echo ==== Building demo_hinge ====
	@$(MAKE) --no-print-directory -C . -f demo_hinge.make

demo_I: ode drawstuff
	@echo ==== Building demo_I ====
	@$(MAKE) --no-print-directory -C . -f demo_I.make

demo_joints: ode drawstuff
	@echo ==== Building demo_joints ====
	@$(MAKE) --no-print-directory -C . -f demo_joints.make

demo_motor: ode drawstuff
	@echo ==== Building demo_motor ====
	@$(MAKE) --no-print-directory -C . -f demo_motor.make

demo_ode: ode drawstuff
	@echo ==== Building demo_ode ====
	@$(MAKE) --no-print-directory -C . -f demo_ode.make

demo_plane2d: ode drawstuff
	@echo ==== Building demo_plane2d ====
	@$(MAKE) --no-print-directory -C . -f demo_plane2d.make

demo_slider: ode drawstuff
	@echo ==== Building demo_slider ====
	@$(MAKE) --no-print-directory -C . -f demo_slider.make

demo_space: ode drawstuff
	@echo ==== Building demo_space ====
	@$(MAKE) --no-print-directory -C . -f demo_space.make

demo_space_stress: ode drawstuff
	@echo ==== Building demo_space_stress ====
	@$(MAKE) --no-print-directory -C . -f demo_space_stress.make

demo_step: ode drawstuff
	@echo ==== Building demo_step ====
	@$(MAKE) --no-print-directory -C . -f demo_step.make

demo_basket: ode drawstuff
	@echo ==== Building demo_basket ====
	@$(MAKE) --no-print-directory -C . -f demo_basket.make

demo_cyl: ode drawstuff
	@echo ==== Building demo_cyl ====
	@$(MAKE) --no-print-directory -C . -f demo_cyl.make

demo_moving_trimesh: ode drawstuff
	@echo ==== Building demo_moving_trimesh ====
	@$(MAKE) --no-print-directory -C . -f demo_moving_trimesh.make

demo_trimesh: ode drawstuff
	@echo ==== Building demo_trimesh ====
	@$(MAKE) --no-print-directory -C . -f demo_trimesh.make

demo_cylvssphere: ode drawstuff
	@echo ==== Building demo_cylvssphere ====
	@$(MAKE) --no-print-directory -C . -f demo_cylvssphere.make

tests: ode
	@echo ==== Building tests ====
	@$(MAKE) --no-print-directory -C . -f tests.make

clean:
	@$(MAKE) --no-print-directory -C . -f ode.make clean
	@$(MAKE) --no-print-directory -C . -f drawstuff.make clean
	@$(MAKE) --no-print-directory -C . -f demo_boxstack.make clean
	@$(MAKE) --no-print-directory -C . -f demo_buggy.make clean
	@$(MAKE) --no-print-directory -C . -f demo_chain1.make clean
	@$(MAKE) --no-print-directory -C . -f demo_chain2.make clean
	@$(MAKE) --no-print-directory -C . -f demo_collision.make clean
	@$(MAKE) --no-print-directory -C . -f demo_crash.make clean
	@$(MAKE) --no-print-directory -C . -f demo_feedback.make clean
	@$(MAKE) --no-print-directory -C . -f demo_friction.make clean
	@$(MAKE) --no-print-directory -C . -f demo_heightfield.make clean
	@$(MAKE) --no-print-directory -C . -f demo_hinge.make clean
	@$(MAKE) --no-print-directory -C . -f demo_I.make clean
	@$(MAKE) --no-print-directory -C . -f demo_joints.make clean
	@$(MAKE) --no-print-directory -C . -f demo_motor.make clean
	@$(MAKE) --no-print-directory -C . -f demo_ode.make clean
	@$(MAKE) --no-print-directory -C . -f demo_plane2d.make clean
	@$(MAKE) --no-print-directory -C . -f demo_slider.make clean
	@$(MAKE) --no-print-directory -C . -f demo_space.make clean
	@$(MAKE) --no-print-directory -C . -f demo_space_stress.make clean
	@$(MAKE) --no-print-directory -C . -f demo_step.make clean
	@$(MAKE) --no-print-directory -C . -f demo_basket.make clean
	@$(MAKE) --no-print-directory -C . -f demo_cyl.make clean
	@$(MAKE) --no-print-directory -C . -f demo_moving_trimesh.make clean
	@$(MAKE) --no-print-directory -C . -f demo_trimesh.make clean
	@$(MAKE) --no-print-directory -C . -f demo_cylvssphere.make clean
	@$(MAKE) --no-print-directory -C . -f tests.make clean
