## ode 0.11.1-5maemo5

=== debian/changelog ===
ode (0.11.1-5maemo5) unstable; urgency=low

  * Initial release for Maemo.

 -- Daniil Ivanov <daniil.ivanov@gmail.com>  Tue, 12 Oct 2010 16:13:46 +0300
