=== debian/control ===
Source: ode
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Guus Sliepen <guus@debian.org>, Gonéri Le Bouder <goneri@rulezlan.org>,
 Barry deFreese <bddebian@comcast.net>
Build-Depends: debhelper (>> 5.0.0), quilt, docbook-to-man,
 libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev
Standards-Version: 3.8.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/ode/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/ode/?op=log
Homepage: http://www.ode.org/

Package: libode1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libode0
Replaces: libode0
Description: Open Dynamics Engine - runtime library
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the shared libraries.

Package: libode-dev
Section: libdevel
Architecture: any
Depends: libode1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: ode-dev, libode0-dev, libode-sp-dev
Replaces: ode-dev, libode0-dev
Provides: libode0-dev
Description: Open Dynamics Engine - development files
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the header files and static libraries built with
 double precision.

Package: libode1sp
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libode0
Replaces: libode0
Description: Open Dynamics Engine - runtime library
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the shared libraries.

Package: libode-sp-dev
Section: libdevel
Architecture: any
Depends: libode1sp (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: ode-dev, libode0-dev, libode-dev
Replaces: ode-dev, libode0-dev
Provides: libode0-dev
Description: Open Dynamics Engine - development files
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the header files and static libraries built with
 precision.
