=== debian/watch ===
version=3

opts="dversionmangle=s/\.dfsg(.?\d+)?$//" \
http://sf.net/opende/ode-src-([\d.]+)\.zip
