## ode 0.13.1+git20150309

=== debian/changelog ===
ode (2:0.13.1+git20150309-2) unstable; urgency=medium

  * Uploaded version to unstable. 
  * Transition initiated to libode4.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 10 Nov 2015 14:54:59 +0100

ode (2:0.13.1+git20150309-1) experimental; urgency=low

  [ Jonathan Dowland ]
  * Team upload.
  * Update Vcs-Browser field in control file. Closes: #705591.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Anton Balashov ]
  * Fix the watch file (Closes: #705523)

  [ Jackson Doak ]
  * New upstream release. 0.12
  * debian/control: 
    - Bump debhelper to 9
    - Build-depend on dh-autoreconf
  * debian/compat: Set as 9
  * debian/rules: 
    - Switch to dh
    - Remove manpage lines
    - Enable Hardening
    - Use dh_autoreconf
  * Create PACKAGE.manpage files
  * Create debian/source/format 

  [ Leopold Palomo-Avellaneda ]
  * Continue Jackson Doak work ...
  * New upstream release: 0.13.1 with a patch (Closes: #670746)
    Version used git cloned 20150309.
  * New upstream release + git version
  * Added missing dependencies
  * Bump standards to 3.9.6. No changes
  * Added myself as Uploaders
  * Deleted unused files
  * Adapted files to new Soname
  * Rename packages to a new version of Sonames 
  * Refactored rules. Conditional options depends on the platform
  * Updated Vcs-Browser and Vcs-Git
  * Drop sp version. Now all platforms have double precision excep
    armel, mips and mipseland that have single precision. Thanks 
    Simon McVittie.
  * Install files more simple and better changelog. Thanks to Gianfranco 
    Costamagna
  * New watch file for Bitbucket
  * Added patch to solve autoreconf issue. Thanks to James Cowgill and 
    Gianfranco Costamagna. Now it's working with dh-autoreconf
  * Dropped unused vars and clean tabs
  * Setting version to experimental
  * Dropped override rule

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 03 Oct 2014 14:47:43 +0200

ode (2:0.11.1-4.1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Non-maintainer upload.
  * Build-depends on dh-autoreconf.

  [ Breno Leitao ]
  * Run dh_autoreconf to update autoconf/libtool files (Closes: #752463).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 17 Sep 2014 22:37:14 +0200

ode (2:0.11.1-4) unstable; urgency=low

  * Team upload.

  [ Gonéri Le Bouder ]
  * improve the description, thanks Josh Triplett (Closes: #539092)

  [ Paul Wise ]
  * Remove Guus Sliepen from uploaders at his request

  [ Evgeni Golov ]
  * Add LIBS="-X11" to the configure call.
    Closes: #555783
  * Add "single precision" to the short descriptions of the sp packages.
  * Drop quilt, it's not used.

 -- Evgeni Golov <evgeni@debian.org>  Wed, 11 May 2011 15:12:46 +0200

ode (2:0.11.1-3) unstable; urgency=low

  * Upload to unstable 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 28 Jul 2009 21:03:42 +0200

ode (2:0.11.1-2) experimental; urgency=low

  * rules: clean up some old comment 
  * provide a single precision flavor:
     add libode-sp-dev and libode1sp (Closes: #534256, #534177)
  * refresh debian/copyright 
  * install ode.pc (Closes: #462629)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 26 Jul 2009 23:31:04 +0200

ode (2:0.11.1-1) unstable; urgency=low

  * New upstream release (Closes: #532054)
  * Use "make distclean" to do the clean up
  * Bump the standard-version to 3.8.2. No change needed.

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 30 Jun 2009 21:49:35 +0200

ode (2:0.11-4) unstable; urgency=low

  * Upload to unstable 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 15 Mar 2009 15:19:05 +0100

ode (2:0.11-3) experimental; urgency=low

  * libode-dev provides libode0-dev 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Mon, 16 Feb 2009 00:14:13 +0100

ode (2:0.11-2) experimental; urgency=low

  * libode-dev conflicts against libode0-dev, thanks Vincent Bernat 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 15 Feb 2009 23:29:17 +0100

ode (2:0.11-1) experimental; urgency=low

  * New upstream release 
  * debian/rules: clean up

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 15 Feb 2009 00:36:34 +0100

ode (2:0.10.1-1) experimental; urgency=low

  * new upstream release 
   - remove fix_makeinstall.diff, useless now 
  * remove libode-doc package, the documentation is not provided with
    the sources anymore
  * calls dh_makeshlibs before dh_shlibdeps
  * adjust the rules file
  * upstream bumped the soversion
   - adjust the rules
   - rename libode0debian1 to libode1 and libode0-dev to libode-dev
   - drop change_soname.patch
  * standard version 3.8.0
  * enable double precision

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Mon, 08 Dec 2008 00:15:02 +0100

ode (2:0.9-1) unstable; urgency=low

  * use the original ode tarball since, thanks to Hans de Goede who pointed
    out a clause in OPCODE FAQ that make it dfsg OK
    (Closes: #440484, #465464, #431058)
  * update the copyright file
  * bump the epoch since 0.9.dfsg-2 > 0.9-1
  * bump the standard version to 3.7.3
  * do not create the /usr/include/ode/config which was useless

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 30 Apr 2008 15:30:34 +0200

ode (1:0.9.dfsg-2) unstable; urgency=low

  [ Eddy Petrișor ]
  * fix Vcs-Svn URL to point to svn, not the incomplete ssh location

  [ Goneri Le Bouder ]
  * indent the Uploaders and Build-Depends entries
  * add libglu-dev and libgl-dev as alternative build dependency for Mesa to
    be able to build with Nvidia nvidia-glx-dev (Closes: #475564)
  * remove some file from the diff.gz

 -- Goneri Le Bouder <goneri@rulezlan.org>  Sat, 26 Apr 2008 02:58:35 +0200

ode (1:0.9.dfsg-1) unstable; urgency=low

  [ Barry deFreese ]
  * Add watch file
  * Add myself to uploaders

  [ Gonéri Le Bouder ]
  * New upstream release
  * use binary-indep, dpkg-buildpackage -B doesn't build binary indep
    package anymore
  * add Vcs-Browser
  * Renamed “XS-Vcs-Svn” to “Vcs-Svn”, now officially supported by dpkg.

