=== debian/control ===
Source: ode
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bddebian@comcast.net>, 
	   Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), docbook-to-man, dh-autoreconf,
 libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev,
 libccd-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/ode.git
Vcs-Git: git://anonscm.debian.org/pkg-games/ode.git
Homepage: http://www.ode.org/

Package: libode4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Dynamics Engine - runtime library
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the shared libraries built with double precision,
 default in 64 bits platforms. In 32 bits platforms default is single
 precision.


Package: libode-dev
Section: libdevel
Architecture: any
Depends: libode4 (= ${binary:Version}), ${misc:Depends}
Conflicts: libode0-dev, libode-sp-dev
Replaces: libode0-dev
Provides: libode4-dev
Description: Open Dynamics Engine - development files
 ODE is a free, industrial quality library for simulating articulated rigid
 body dynamics - for example ground vehicles, legged creatures, and moving
 objects in VR environments. It is fast, flexible, robust and platform
 independent, with advanced joints, contact with friction, and built-in
 collision detection.
 .
 This package provides the header files and static libraries built with
 double precision, default in 64 bits platforms. In 32 bits platforms
 default is single precision.
