## ode 0.14

=== debian/changelog ===
ode (2:0.14-2) unstable; urgency=medium

  * Uploaded version to unstable.
  * Transition initiated to libode6.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 19 May 2016 09:09:53 +0200

ode (2:0.14-1) experimental; urgency=medium

  * New upstream version. Upstream recover the two number version X.Y
  * Transition initiated to libode6 (upstream jump two numbers)
  * Droped applied patch from upstream
  * Upstream bump soname. Packages adapted
  * Dropped old filename
  * Bump Standards-Version to 3.9.8 (no changes)
  * Updated Vcs-Browser and Vcs-Git fields

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 27 Apr 2016 08:31:56 +0200
