=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper (>= 9), docbook-to-man, dh-autoreconf,
  libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev,
  libccd-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/ode.git
-Vcs-Git: git://anonscm.debian.org/pkg-games/ode.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/ode.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/ode.git
 Homepage: http://www.ode.org/
 
-Package: libode4
+Package: libode6
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -32,10 +32,10 @@
 Package: libode-dev
 Section: libdevel
 Architecture: any
-Depends: libode4 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libode0-dev, libode-sp-dev
+Depends: libode6 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libode0-dev, libode-sp-dev, libode4-dev
 Replaces: libode0-dev
-Provides: libode4-dev
+Provides: libode6-dev
 Description: Open Dynamics Engine - development files
  ODE is a free, industrial quality library for simulating articulated rigid
  body dynamics - for example ground vehicles, legged creatures, and moving
