=== debian/watch ===
version=3

opts="dversionmangle=s/\.dfsg(.?\d+)?$//" \
https://bitbucket.org/odedevs/ode/downloads .*/(\d\S*)\.tar\.gz
